Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.disco
Interface ServerIdentitiesProvider

All Known Implementing Classes:
  IQPEPHandler

    public interface ServerIdentitiesProvider

A `ServerIdentitiesProvider` is responsible for providing the identities of protocols supported by the SERVER. An example of a server identity is that for PEP (XEP-0163):

When the server starts up, IQDiscoInfoHandler will request to all the services that implement the ServerIdentitiesProvider interface for their identities. Whenever a disco request is received IQDiscoInfoHandler will add to the provided information all the collected identities. Therefore, a service must implement this interface in order to offer/publish its identities as part of the server identities.

Author:
  Armando Jagucki

Method Summary
`Iterator<org.dom4j.Element>` | `getIdentities()` Returns an Iterator (of Element) with the supported identities by the server.

Method Detail

### getIdentities

    Iterator<org.dom4j.Element> getIdentities()

  Returns an Iterator (of Element) with the supported identities by the server. The identities to include are the identities of protocols supported by the SERVER. The idea is that different modules may provide their identities that will ultimately be included in the list of server identities.

  Returns:
    an Iterator (of Element) with identities of protocols supported by the server.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.